[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] F10 rpm problems



FYI - in case anyone else runs into this...

I must have done a 'make install' somewhere in the past that installed into /usr/lib instead of /usr/lib64 (where the rpm installs it)

This libvirt version was linked against the missing libgnutls.so.13, and this was what was getting picked up by virsh.



Daniel P. Berrange wrote on 12/08/2008 08:00 AM:
> On Mon, Dec 08, 2008 at 07:53:10AM -0500, Ben Guthro wrote:
>> I do have older versions (for chroot purposes) mounted in non-standard paths...
>> I don't know why it would pick it up in /data:
>>
>> $ locate libgnutls.so.13
>> /data/f9root/usr/lib64/libgnutls.so.13
>> /data/f9root/usr/lib64/libgnutls.so.13.9.1
>>
>>
>> The strange part is, that it looks like it is linking against both versions:
> 
> What I suspect is going on here then, is that you have some environment
> variable set causing libvirt to detect & use the version in /data/f9root.
> Perhaps PKG_CONFIG_PATH or a LD_LIBRARY_PATH or CFLAGS/LDFLAGS - check
> the config.log file and output from running configure. This would
> cause libvirt to directly link to libgnutls.so.13. Then, some other
> library in the system we're using has already linked to gnutls.so.26
> and so you get the second indirect linkage.
> 
> Daniel


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]